package com.sun.corba.se.spi.activation;

import org.omg.CORBA.TypeCode;
import org.omg.CORBA.portable.OutputStream;
import org.omg.CORBA.portable.InputStream;
import org.omg.CORBA.portable.Streamable;

public final class LocatorHolder implements Streamable
{
    public Locator value;
    
    public LocatorHolder() {
        this.value = null;
    }
    
    public LocatorHolder(Locator value) {
        this.value = null;
        this.value = value;
    }
    
    public void _read(InputStream inputStream) {
        this.value = LocatorHelper.read(inputStream);
    }
    
    public void _write(OutputStream outputStream) {
        LocatorHelper.write(outputStream, this.value);
    }
    
    public TypeCode _type() {
        return LocatorHelper.type();
    }
}
